package vodsspeedrunclub

import "time"

type Run struct {
	GamesDoneQuickID int       `json:"gdqId"`
	HoraroID         any       `json:"horaroId"`
	Event            int       `json:"event"`
	Name             string    `json:"name"`
	DisplayName      string    `json:"displayName"`
	TwitchName       string    `json:"twitchName"`
	Console          string    `json:"console"`
	Commentators     []any     `json:"commentators"`
	Hosts            []Hosts   `json:"hosts"`
	Description      string    `json:"description"`
	StartTime        time.Time `json:"startTime"`
	EndTime          time.Time `json:"endTime"`
	Order            int       `json:"order"`
	RunTime          string    `json:"runTime"`
	SetupTime        string    `json:"setupTime"`
	CoOp             bool      `json:"coop"`
	Category         string    `json:"category"`
	ReleaseYear      any       `json:"releaseYear"`
	Runners          []Runner  `json:"runners"`
	RunnersAsString  string    `json:"runnersAsString"`
	Bids             []any     `json:"bids"`
	VODs             []VOD     `json:"vods"`
	Source           any       `json:"src"`
	TimeStatus       string    `json:"timeStatus"`
}

type Hosts struct {
	Name     string `json:"name"`
	Pronouns string `json:"pronouns"`
	Public   string `json:"public"`
}
type Runner struct {
	Name     string `json:"name"`
	Stream   string `json:"stream"`
	Twitter  string `json:"twitter"`
	Youtube  string `json:"youtube"`
	Pronouns string `json:"pronouns"`
	Public   string `json:"public"`
	URL      string `json:"url"`
}

type VOD struct {
	Type          string `json:"type"`
	VideoID       string `json:"videoId"`
	Timestamp     string `json:"timestamp"`
	URL           string `json:"url"`
	ContributorID any    `json:"contributorId"`
}
